//######################################################
//Author:	Saravana Kumar
//Company:	Digital Deposit Ltd
//Purpose:	Connected System Developer Comp. 2005
//Email:	saravana.kumar@digitaldeposit.co.uk
//######################################################
using System;
using System.Collections.Generic;
using System.Text;
using Northwoods.Go;

namespace Digitaldeposit.Ssbm.Diagram
{
	class Connector : GoLabeledLink
	{
		#region Constructors
		public Connector(GoPort from, GoPort to, GoView view): base()
		{
			this.Orthogonal = true;
			this.Style = GoStrokeStyle.RoundedLine;
			this.ToArrow = true;
			this.Selectable = false;
			this.Pen = new System.Drawing.Pen(System.Drawing.Color.Gray, 1);
			this.FromPort = from;
			this.ToPort = to;
			view.Document.Add(this);
		}
		public Connector(GoPort from, GoPort to): base()
		{
			this.Orthogonal = true;
			this.Style = GoStrokeStyle.RoundedLine;
			this.ToArrow = true;
			this.Selectable = false;
			this.Pen = new System.Drawing.Pen(System.Drawing.Color.Black, 2);
			this.FromPort = from;
			this.ToPort = to;

		}
		#endregion
	}
}
