//######################################################
//Author:	Saravana Kumar
//Company:	Digital Deposit Ltd
//Purpose:	Connected System Developer Comp. 2005
//Email:	saravana.kumar@digitaldeposit.co.uk
//######################################################
using System;
using System.Collections.Generic;
using System.Text;
using System.Collections;

namespace Digitaldeposit.Ssbm.Constants
{
	static class ServiceBrokerConstants
	{
		#region Internal Constants
		
		//Temporary DataSet tables.
		internal const string TransmissionQ = "TransmissionQ";
		internal const string QueueStatus = "QueueStatus";
		internal const string DatabaseProperties = "DatabaseProps";
		internal const string ActivatedTask = "ActivatedTask";
		internal const string ForwardedMessages = "ForwardedMessages";
		internal const string BrokerConnections = "BrokerConnections";
		internal const string QueueMonitors = "QueueMonitors";
		
		
		//Hash table keys used in Object Maintenance operation.
		internal const string LoginPassword = "Password";
		internal const string CertSource = "CertSource";
		internal const string CertPath = "CertPath";
		internal const string CertPrivateKeyPath = "CertPrivatePath";
		internal const string CertEncryptionText = "CertEncryptionText";
		internal const string CertDecryptionText = "CertDecryptionText";
		internal const string CertUseMasterKey = "CertUseMasterKey";

		#endregion
	}
}
